<?php


namespace App\ViewModels\Setor\SetorUpdateViewModel;


use App\Utils\Builder;
use App\ViewModels\Setor\SetorRegistrationViewModel\SetorRegistrationViewModel;

class SetorUpdateViewModelBuilder implements Builder
{
    private $descricao;
    private $id_centro_custo;
    private $atualizado_em;
    private $alterado_por;

    /**
     * @param mixed $id_centro_custo
     * @return SetorUpdateViewModelBuilder
     */
    public function setIdCentroCusto($id_centro_custo)
    {
        $this->id_centro_custo = $id_centro_custo;
        return $this;
    }

    /**
     * @param mixed $descricao
     * @return SetorUpdateViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @param mixed $atualizado_em
     * @return SetorUpdateViewModelBuilder
     */
    public function setAtualizadoEm($atualizado_em)
    {
        $this->atualizado_em = $atualizado_em;
        return $this;
    }

    /**
     * @param mixed $alterado_por
     * @return SetorUpdateViewModelBuilder
     */
    public function setAlteradoPor($alterado_por)
    {
        $this->alterado_por = $alterado_por;
        return $this;
    }


    public function build() : SetorUpdateViewModel
    {
        $paciente_update_vm = new SetorUpdateViewModel();
        if (isset($this->descricao)) {
            $paciente_update_vm->setDescricao($this->descricao);
        }
        if (isset($this->id_centro_custo)) {
            $paciente_update_vm->setIdCentroCusto($this->id_centro_custo);
        }
        if (isset($this->atualizado_em)) {
            $paciente_update_vm->setAtualizadoEm($this->atualizado_em);
        }
        if (isset($this->alterado_por)) {
            $paciente_update_vm->setAlteradoPor($this->alterado_por);
        }
        return $paciente_update_vm;
    }


}